Skip to main content
POST
/
v1
/
apps
/
{app_id}
/
connect-repo
Connect a GitHub repository
curl --request POST \
  --url https://api.mixpeek.com/v1/apps/{app_id}/connect-repo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo_url": "<string>",
  "branch": "main",
  "github_installation_id": 123
}
'
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string
required

Body

application/json

Request to connect a GitHub repo for auto-deploy.

repo_url
string
required

GitHub repository URL

branch
string
default:main

Branch to deploy from

github_installation_id
integer | null

GitHub App installation ID

Response

Successful Response